backup_lvm_hcloudvol_size: 30
backup_lvm_hcloudvol_count: 8

backup_user_ssh_privkey: "{{ backup_user_ssh_privkey_vault }}"

# Admin access for S3 Storage on stage nsodev
nsodev_minio_admin_accesskey: "{{ nsodev_minio_admin_accesskey_vault }}"
nsodev_minio_admin_secretkey: "{{ nsodev_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on stage nsodev all buckets
nsodev_minio_user_read_only_accesskey: "{{ nsodev_minio_user_read_only_accesskey_vault }}"
nsodev_minio_user_read_only_secretkey: "{{ nsodev_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage nsodev bucket wordpress 
nsodev_minio_user_read_write_wordpress_accesskey: "{{ nsodev_minio_user_read_write_wordpress_accesskey_vault }}"
nsodev_minio_user_read_write_wordpress_secretkey: "{{ nsodev_minio_user_read_write_wordpress_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage nsodev bucket postgres 
nsodev_minio_user_read_write_postgres_accesskey: "{{ nsodev_minio_user_read_write_postgres_accesskey_vault }}"
nsodev_minio_user_read_write_postgres_secretkey: "{{ nsodev_minio_user_read_write_postgres_secretkey_vault }}"


# Admin access for S3 Storage on stage cusqa
cusqa_minio_admin_accesskey: "{{ cusqa_minio_admin_accesskey_vault }}"
cusqa_minio_admin_secretkey: "{{ cusqa_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on stage cusqa all buckets
cusqa_minio_user_read_only_accesskey: "{{ cusqa_minio_user_read_only_accesskey_vault }}"
cusqa_minio_user_read_only_secretkey: "{{ cusqa_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage cusqa bucket wordpress 
cusqa_minio_user_read_write_wordpress_accesskey: "{{ cusqa_minio_user_read_write_wordpress_accesskey_vault }}"
cusqa_minio_user_read_write_wordpress_secretkey: "{{ cusqa_minio_user_read_write_wordpress_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage cusqa bucket postgres 
cusqa_minio_user_read_write_postgres_accesskey: "{{ cusqa_minio_user_read_write_postgres_accesskey_vault }}"
cusqa_minio_user_read_write_postgres_secretkey: "{{ cusqa_minio_user_read_write_postgres_secretkey_vault }}"


# Admin access for S3 Storage on stage cusprod
cusprod_minio_admin_accesskey: "{{ cusprod_minio_admin_accesskey_vault }}"
cusprod_minio_admin_secretkey: "{{ cusprod_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on stage cusprod all buckets
cusprod_minio_user_read_only_accesskey: "{{ cusprod_minio_user_read_only_accesskey_vault }}"
cusprod_minio_user_read_only_secretkey: "{{ cusprod_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage cusprod bucket wordpress 
cusprod_minio_user_read_write_wordpress_accesskey: "{{ cusprod_minio_user_read_write_wordpress_accesskey_vault }}"
cusprod_minio_user_read_write_wordpress_secretkey: "{{ cusprod_minio_user_read_write_wordpress_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage cusprod bucket postgres 
cusprod_minio_user_read_write_postgres_accesskey: "{{ cusprod_minio_user_read_write_postgres_accesskey_vault }}"
cusprod_minio_user_read_write_postgres_secretkey: "{{ cusprod_minio_user_read_write_postgres_secretkey_vault }}"


# Admin access for S3 Storage on stage keycloak
keycloak_minio_admin_accesskey: "{{ keycloak_minio_admin_accesskey_vault }}"
keycloak_minio_admin_secretkey: "{{ keycloak_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on stage keycloak all buckets
keycloak_minio_user_read_only_accesskey: "{{ keycloak_minio_user_read_only_accesskey_vault }}"
keycloak_minio_user_read_only_secretkey: "{{ keycloak_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage keycloak bucket postgres 
keycloak_minio_user_read_write_postgres_accesskey: "{{ keycloak_minio_user_read_write_postgres_accesskey_vault }}"
keycloak_minio_user_read_write_postgres_secretkey: "{{ keycloak_minio_user_read_write_postgres_secretkey_vault }}"


minio_stage_dicts:
  - {
      stage: "nsodev",
      url: "https://s3storage-nsodev-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ nsodev_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ nsodev_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ nsodev_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ nsodev_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ nsodev_minio_admin_accesskey }}",
      admin_secretkey: "{{ nsodev_minio_admin_secretkey }}",
      hour: "3",
      minute: "30",
      bucket: "postgres"
    }
  - {
      stage: "nsodev",
      url: "https://s3storage-nsodev-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ nsodev_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ nsodev_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ nsodev_minio_user_read_write_wordpress_accesskey }}",
      read_write_secretkey: "{{ nsodev_minio_user_read_write_wordpress_secretkey }}",
      admin_accesskey: "{{ nsodev_minio_admin_accesskey }}",
      admin_secretkey: "{{ nsodev_minio_admin_secretkey }}",
      hour: "3",
      minute: "35",
      bucket: "wordpress"
    }
  - {
      stage: "cusqa",
      url: "https://s3storage-cusqa-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ cusqa_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ cusqa_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ cusqa_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ cusqa_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ cusqa_minio_admin_accesskey }}",
      admin_secretkey: "{{ cusqa_minio_admin_secretkey }}",
      hour: "3",
      minute: "40",
      bucket: "postgres"
    }
  - {
      stage: "cusqa",
      url: "https://s3storage-cusqa-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ cusqa_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ cusqa_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ cusqa_minio_user_read_write_wordpress_accesskey }}",
      read_write_secretkey: "{{ cusqa_minio_user_read_write_wordpress_secretkey }}",
      admin_accesskey: "{{ cusqa_minio_admin_accesskey }}",
      admin_secretkey: "{{ cusqa_minio_admin_secretkey }}",
      hour: "3",
      minute: "45",
      bucket: "wordpress"
    }
  - {
      stage: "cusprod",
      url: "https://s3storage-cusprod-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ cusprod_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ cusprod_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ cusprod_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ cusprod_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ cusprod_minio_admin_accesskey }}",
      admin_secretkey: "{{ cusprod_minio_admin_secretkey }}",
      hour: "3",
      minute: "50",
      bucket: "postgres"
    }
  - {
      stage: "cusprod",
      url: "https://s3storage-cusprod-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ cusprod_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ cusprod_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ cusprod_minio_user_read_write_wordpress_accesskey }}",
      read_write_secretkey: "{{ cusprod_minio_user_read_write_wordpress_secretkey }}",
      admin_accesskey: "{{ cusprod_minio_admin_accesskey }}",
      admin_secretkey: "{{ cusprod_minio_admin_secretkey }}",
      hour: "3",
      minute: "55",
      bucket: "wordpress"
    }
  - {
      stage: "keycloak",
      url: "https://s3storage-mobene-keycloak-prodwork01.smardigo.digital",
      read_only_accesskey: "{{ keycloak_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ keycloak_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ keycloak_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ keycloak_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ keycloak_minio_admin_accesskey }}",
      admin_secretkey: "{{ keycloak_minio_admin_secretkey }}",
      hour: "4",
      minute: "0",
      bucket: "postgres"
    }


# minio_nsodev_accesskey: "{{ minio_nsodev_accesskey_vault }}"
# minio_nsodev_secretkey: "{{ minio_nsodev_secretkey_vault }}"

# minio_cusqa_accesskey: "{{ minio_cusqa_accesskey_vault }}"
# minio_cusqa_secretkey: "{{ minio_cusqa_secretkey_vault }}"

# minio_cusprod_accesskey: "{{ minio_cusprod_accesskey_vault }}"
# minio_cusprod_secretkey: "{{ minio_cusprod_secretkey_vault }}"

# minio_keycloak_accesskey: "{{ minio_keycloak_accesskey_vault }}"
# minio_keycloak_secretkey: "{{ minio_keycloak_secretkey_vault }}"
# minio_keycloak_url: "https://s3storage-mobene-keycloak-prodwork01.smardigo.digital"

# minio_stage_dicts:
#   - {
#       stage: "nsodev",
#       url: "https://s3storage-nsodev-prodwork01.smardigo.digital",
#       minio_accesskey: "{{ minio_nsodev_accesskey }}",
#       minio_secretkey: "{{ minio_nsodev_secretkey }}",
#       hour: "3",
#       minute: "30",
#     }
#   - {
#       stage: "cusqa",
#       url: "https://s3storage-cusqa-prodwork01.smardigo.digital",
#       minio_accesskey: "{{ minio_cusqa_accesskey }}",
#       minio_secretkey: "{{ minio_cusqa_secretkey }}",
#       hour: "3",
#       minute: "30",
#     }
#   - {
#       stage: "cusprod",
#       url: "https://s3storage-cusprod-prodwork01.smardigo.digital",
#       minio_accesskey: "{{ minio_cusprod_accesskey }}",
#       minio_secretkey: "{{ minio_cusprod_secretkey }}",
#       hour: "4",
#       minute: "0",
#     }
